﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Documents.Reports.Graphics;
using Infragistics.Documents.Reports.Report;
using Infragistics.Documents.Reports.Report.Section;
using Infragistics.Documents.Reports.RTF;

namespace AzureReportPublish.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        [ActionName("Index")]
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        [ActionName("Index")]
        public void CreateReport()
        {
            Report report = new Report();
            // Define two font objects.

            ISection section1 = report.AddSection();

            Infragistics.Documents.Reports.Graphics.Font verdanaBigItalic = new Infragistics.Documents.Reports.Graphics.Font("Verdana", 18, FontStyle.Italic);
            Infragistics.Documents.Reports.Graphics.Font verdanaSmallBold = new Infragistics.Documents.Reports.Graphics.Font("Verdana", 10, FontStyle.Bold);


            Infragistics.Documents.Reports.Report.Text.IText fontText = section1.AddText();
            fontText.Margins = new Margins(0, 3);
            fontText.Style =
              new Infragistics.Documents.Reports.Report.Text.Style(verdanaBigItalic, Brushes.Black);
            fontText.AddContent("This font is Verdana, 18 pt., and Italic");

            // Add another text element.
            fontText = section1.AddText();
            fontText.Margins = new Margins(0, 3);
            fontText.Style =
              new Infragistics.Documents.Reports.Report.Text.Style(verdanaSmallBold, Brushes.Black);
            fontText.AddContent("This font is Verdana, 10 pt., and Bold");

            // Add another text element; this time using a predefined font
            // and changing the color to red.
            fontText = section1.AddText();
            fontText.Margins = new Margins(0, 3);
            fontText.Style =
              new Infragistics.Documents.Reports.Report.Text.Style(
              Fonts.TimesNewRomanBold, Brushes.Red);
            fontText.AddContent("This font is a predefined font: Fonts.TimesNewRomanBold");

            report.AddSection().AddText().AddContent("this is some test text");

            report.AddSection().AddText().AddContent("this is some test text2 ");

            Response.Clear();
            Response.AppendHeader("content-disposition", "attachment; filename=" + "testPDF.pdf");
            Response.ContentType = "application/octet-stream";
            report.Publish(Response.OutputStream, FileFormat.PDF);
            Response.End();

        }
	}
}